# Uses of Class
it.tdlight.jni.TdApi.InlineQueryResult

## Uses of TdApi.InlineQueryResult in it.tdlight.jni

Subclasses of TdApi.InlineQueryResult in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InlineQueryResultAnimation`
Represents an animation file.
`static final class`
`TdApi.InlineQueryResultArticle`
Represents a link to an article or web page.
`static final class`
`TdApi.InlineQueryResultAudio`
Represents an audio file.
`static final class`
`TdApi.InlineQueryResultContact`
Represents a user contact.
`static final class`
`TdApi.InlineQueryResultDocument`
Represents a document.
`static final class`
`TdApi.InlineQueryResultGame`
Represents information about a game.
`static final class`
`TdApi.InlineQueryResultLocation`
Represents a point on the map.
`static final class`
`TdApi.InlineQueryResultPhoto`
Represents a photo.
`static final class`
`TdApi.InlineQueryResultSticker`
Represents a sticker.
`static final class`
`TdApi.InlineQueryResultVenue`
Represents information about a venue.
`static final class`
`TdApi.InlineQueryResultVideo`
Represents a video.
`static final class`
`TdApi.InlineQueryResultVoiceNote`
Represents a voice note.
Fields in it.tdlight.jni declared as TdApi.InlineQueryResult
Modifier and Type
Field
Description
`TdApi.InlineQueryResult[]`
TdApi.InlineQueryResults.`results`
Results of the query.
Constructors in it.tdlight.jni with parameters of type TdApi.InlineQueryResult
Modifier
Constructor
Description
``
`InlineQueryResults(long inlineQueryId, TdApi.InlineQueryResultsButton button, TdApi.InlineQueryResult[] results, String nextOffset)`
Represents the results of the inline query.